(function( $ ) {
	'use strict';

	$(document).ready(function() {

		$('input.woocommerce-ultimate-pricing-datepicker').flatpickr({
			mode: "range",
			allowInput: true,
			inline: false,
    	});

		var tieredPricingToCopy = $('.woocommerce-ultimate-pricing-tiered-pricing-to-copy');

		if(tieredPricingToCopy.length > 0) {
			
			var tieredPricingRowTemplate = tieredPricingToCopy[0].outerHTML;
			var productId = $('input[name="post_ID"').val();
	    	$('.woocommerce-ultimate-pricing-tiered-pricing-add-row').on('click', function(e) {
	    		e.preventDefault();

	    		var lastRow = $('.woocommerce-ultimate-pricing-tiered-pricing-row').last();
	    		var lastIndex = lastRow.data('index');
	    		var newIndex = lastIndex + 1;
	    		$(this).before(tieredPricingRowTemplate)

	    		var newRow = $('.woocommerce-ultimate-pricing-tiered-pricing-row').last();
	    		newRow.removeClass('woocommerce-ultimate-pricing-tiered-pricing-to-copy').attr('data-index', newIndex);
	    		newRow.find('.woocommerce-tiered-pricing-row-left input').attr('name', 'woocommerce_ultimate_pricing_tiered_pricing[' + productId + '][discounts][' + newIndex + '][quantity]');
	    		newRow.find('.woocommerce-tiered-pricing-row-right input').attr('name', 'woocommerce_ultimate_pricing_tiered_pricing[' + productId + '][discounts][' + newIndex + '][discount]');
	    	});
    	}
	} );

})( jQuery );